package com.persagy.dmp.rwd.edit.controller;

import com.persagy.common.criteria.JacksonCriteria;
import com.persagy.common.web.MapResponse;
import com.persagy.common.web.PagedResponse;
import com.persagy.dmp.rwd.edit.model.RwdeditRefTypeModel;
import com.persagy.dmp.rwd.edit.service.RwdeditRefTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/rwdedit/ref/type")
public class RwdeditRefTypeController {

    @Autowired
    private RwdeditRefTypeService service;

    @PostMapping("/query")
    public PagedResponse<RwdeditRefTypeModel> query(@RequestBody JacksonCriteria criteria) {
        return service.query(criteria);
    }

    @PostMapping("/create")
    public MapResponse create(@RequestBody RwdeditRefTypeModel params) {
        return service.create(params);
    }

    @PostMapping("/update")
    public MapResponse update(@RequestBody RwdeditRefTypeModel params) {
        return service.update(params);
    }

    @PostMapping("/delete")
    public MapResponse delete(@RequestBody RwdeditRefTypeModel params) {
        return service.delete(params);
    }
}
