package com.persagy.dmp.rwd.edit.controller;

import com.persagy.common.criteria.JacksonCriteria;
import com.persagy.common.web.MapResponse;
import com.persagy.common.web.PagedResponse;
import com.persagy.dmp.rwd.edit.entity.RwdeditVersion;
import com.persagy.dmp.rwd.edit.service.RwdeditVersionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;

@RestController
@RequestMapping("/rwdedit/version")
public class RwdeditVersionController {

    @Autowired
    private RwdeditVersionService service;

    @PostMapping("/query")
    public PagedResponse<RwdeditVersion> query(@RequestBody JacksonCriteria criteria) {
        return service.query(criteria);
    }

    @PostMapping("/create")
    public MapResponse create(@RequestBody RwdeditVersion param) {
        return service.create(param);
    }

    @PostMapping("/update")
    public MapResponse update(@RequestBody RwdeditVersion param) {
        return service.update(param);
    }

    @PostMapping("/delete")
    public MapResponse delete(@RequestBody RwdeditVersion param) {
        return service.delete(param);
    }

    @PostMapping("/download")
    public void download(@RequestParam String version,
                         @RequestParam(name = "isTotal", required = false, defaultValue = "false") Boolean isTotal,
                         HttpServletResponse response) {
        service.download(response, version, isTotal);
    }

    @PostMapping("/download/total")
    public void downloadTotal(HttpServletResponse resp) throws IOException {
        resp.reset();// 清空输出流
        resp.setCharacterEncoding("UTF-8");
        resp.setHeader("Content-disposition", "attachment; filename=rwd-dic.sql");
        resp.setContentType("application/txt");
        PrintWriter out = resp.getWriter();
        service.downloadTotal(out);
        out.flush();
        out.close();
    }

}
