package com.persagy.dmp.rwd.edit;

import com.persagy.common.criteria.JacksonCriteria;
import com.persagy.common.json.JacksonMapper;
import com.persagy.common.web.MapResponse;
import com.persagy.common.web.PagedResponse;
import com.persagy.dmp.rwd.edit.model.RwdeditRefTypeModel;
import com.persagy.dmp.rwd.edit.service.RwdeditRefTypeService;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@Slf4j
@SpringBootTest
@RunWith(SpringRunner.class)
public class RefTypeTest {

    @Autowired
    private RwdeditRefTypeService rwdeditRefTypeService;

    /**
     * 查询引用类型
     */
    @Test
    public void query() {
        JacksonCriteria criteria = JacksonCriteria.newInstance();
        PagedResponse<RwdeditRefTypeModel> query = rwdeditRefTypeService.query(criteria);
        System.err.println(JacksonMapper.toFormatJson(query));
    }

    /**
     * 创建引用类型
     */
    @Test
    public void create() {
        RwdeditRefTypeModel param = new RwdeditRefTypeModel();
        param.setRefKey("ref01");
        param.setName("ref01");
        MapResponse response = rwdeditRefTypeService.create(param);
        System.err.println(JacksonMapper.toFormatJson(response));
    }

    /**
     * 修改引用类型
     */
    @Test
    public void update() {
        RwdeditRefTypeModel param = new RwdeditRefTypeModel();
        param.setRefKey("ref01");
        param.setName("ref01");
        MapResponse response = rwdeditRefTypeService.update(param);
        System.err.println(JacksonMapper.toFormatJson(response));
    }

    /**
     * 删除引用类型
     */
    @Test
    public void delete() {
        RwdeditRefTypeModel param = new RwdeditRefTypeModel();
        param.setRefKey("ref01");
        MapResponse response = rwdeditRefTypeService.delete(param);
        System.err.println(JacksonMapper.toFormatJson(response));
    }

}
